properties([
        parameters([
                booleanParam(name: 'RELEASE', description: 'Build a release from current commit.', defaultValue: false),
                string(name: 'RELEASE_VERSION', defaultValue: '1.8.0', description: 'RELEASE Version'),
                string(name: 'SNAPSHOT_VERSION', defaultValue: '1.9.0-SNAPSHOT', description: 'SNAPSHOT Version'),
                string(name: 'TAG_NAME', defaultValue: 'dlcm-1.8.0', description: 'TAG Name'),
        ])
])

@Library('solidify-pipelinelibrary') _
angularMvnPipeline {
    skipTests = true
    skipCodeInspection = false
    generateModels = true
    baseImage = 'nexus.unige.ch:445/nginx:1.21-alpine'
}
